Пару недель назад вышла новая версия плагина qtranslate. В ближайшее время выделю время и напишу новую версию инструкции по настройке и установке этого плагина.  Тут находиться старая версия инструкции.

В qtranslate 2.5.24 заявлена совместимость с wordpress версии 3.2.1.